exports.AccountFactory = Object.freeze({
  ethereum: {
    factoryAddress: '',
  },
  polygon: {
    factoryAddress: '0x924042a388cAeDe84C969B1f95596c596a7075c3',
  },
  mumbai: {
    factoryAddress: '0xAA6f31AEbD751Feedc1e87c980A260dCD46b8d20',
  },
  goerli: {
    factoryAddress: '0x566b6c348822B8406C8FC7EE270143f46002976E',
  },
})

/**
 *
 * @private
 * @param {string} network network
 * @returns {string}
 */
exports.getFactoryAddress = (network) => {
  return exports.AccountFactory?.[network]?.factoryAddress || undefined
}
